<!DOCTYPE html>
<html lang="en" class="default-style layout-fixed layout-navbar-fixed layout-collapsed">

<head>
  <base href="/">
  <title>Hypersonix</title>

  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="IE=edge,chrome=1">
  <meta name="description" content="">
  <meta name="viewport"
    content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0, viewport-fit=cover">
  <link rel="icon" type="image/x-icon" href="favicon.ico">

  <link href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,500,500i,700,700i,900" rel="stylesheet">
  <!--Add/Remove-Material -->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons&display=block" rel="stylesheet">
  <!-- Icon fonts -->
  <link rel="stylesheet" href="assets/vendor/fonts/fontawesome.css">
  <link rel="stylesheet" href="assets/vendor/fonts/ionicons.css">
  <link rel="stylesheet" href="assets/vendor/fonts/linearicons.css">
  <link rel="stylesheet" href="assets/vendor/fonts/open-iconic.css">
  <link rel="stylesheet" href="assets/vendor/fonts/pe-icon-7-stroke.css">
<!-- line icon fonts -->
<link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css">
  <!-- Core stylesheets -->
  <link rel="stylesheet" href="vendor/styles/bootstrap.bundle.css" class="theme-settings-bootstrap-css">
  <link rel="stylesheet" href="vendor/styles/appwork.bundle.css" class="theme-settings-appwork-css">
  <link rel="stylesheet" href="vendor/styles/theme-default.bundle.css" class="theme-settings-theme-css">
  <link rel="stylesheet" href="vendor/styles/colors.bundle.css" class="theme-settings-colors-css">
  <link rel="stylesheet" href="vendor/styles/uikit.bundle.css">
  <!-- <link rel="stylesheet" href="'../node_modules/@swimlane/ngx-datatable/release/index.css">
    <link rel="stylesheet" href="'../node_modules/@swimlane/ngx-datatable/release/assets/icons.css"> -->
  <!-- <link rel="stylesheet" type="text/css" href="vendor/styles/bootstrap.scss" class="theme-settings-bootstrap-css">
    <link rel="stylesheet" type="text/css" href="vendor/styles/appwork.scss" class="theme-settings-appwork-css">
    <link rel="stylesheet" type="text/css" href="vendor/styles/theme-air.scss" class="theme-settings-theme-css">
    <link rel="stylesheet" type="text/css" href="vendor/styles/colors.scss" class="theme-settings-colors-css">
    <link rel="stylesheet" type="text/css" href="vendor/styles/uikit.scss"> -->

  <script src="assets/vendor/js/material-ripple.js"></script>
  <script src="assets/vendor/js/layout-helpers.js"></script>
  
  <!-- Theme settings -->
  <!-- This file MUST be included after core stylesheets and layout-helpers.js in the <head> section -->
  <!-- <script src="assets/vendor/js/theme-settings.js"></script> -->
  <script>
    //deleted by jason hide themSetting button
    // window.themeSettings = new ThemeSettings({
    //   cssPath: 'vendor/styles/',
    //   themesPath: 'vendor/styles/',
    //   cssFilenamePattern: '%name%.bundle.css'
    // });
    //Theme Settings by Karthick
    // try {
    //   var themeName = localStorage.getItem("appliedTheam").replace(/"/g, '');
    // } catch (e) {
    //   themeName = "dark";
    //   console.log("Loading Theme Error");
    //   console.log(e);
    //  }
    // if (themeName) {
    //   var s = document.querySelector("." + 'theme-settings-theme-css');
    //   var css_file = 'vendor/styles/theme-' + themeName + '.bundle.css';
    //   // var css_file = '/userdata/' + themeName + '/theme.css';
    //   if ("number" == typeof document.documentMode && document.documentMode < 11) {
    //     var n = document.createElement("link");
    //     n.setAttribute("rel", "stylesheet"),
    //       n.setAttribute("type", "text/css"),
    //       n.className = 'theme-settings-theme-css',
    //       n.setAttribute("href", css_file),
    //       s.parentNode.insertBefore(n, s.nextSibling);
    //   }
    //   else document.write('<link rel="stylesheet" type="text/css" href="' + css_file + '" class="theme-settings-theme-css">');
    //      s.parentNode.removeChild(s)
    // }

  </script>
  <script src="assets/vendor/js/siriwave.js"></script>

  <!-- Ace editor dependencies -->
  <link href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/agate.min.css" rel="stylesheet">

  <!-- Splash screen -->
  <style>
    /* .theme-settings-themes,
    .theme-settings-material,
    .theme-settings-layout,
    .theme-settings-rtl {
      display: none !important;
    }

    #theme-settings .theme-settings-open-btn {
      top: 112px;
      display: none;
    } */
    #theme-settings .theme-settings-open-btn{
      top:140px !important;
    }
    .theme-settings-themes,.theme-settings-layout,.theme-settings-material,.theme-settings-rtl{
      display: none !important;
    }

    .app-splash-screen {
      background: #fff;
      position: fixed;
      display: block;
      z-index: 99999999;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      opacity: 1;
      -webkit-transition: opacity .3s;
      transition: opacity .3s;
    }

    .app-splash-screen-content {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate3d(0, 0, 0);
      /* -webkit-transform: translate3d(0, 0, 0);
      -webkit-animation: appSplashScreenAnimation 1.2s ease-in-out 0s infinite;
      animation: appSplashScreenAnimation 1.2s ease-in-out 0s infinite; */
    }
    .new-app-splash-screen-content{
    position: absolute;
    top: 40%;
    left:45%;
    margin: 0 auto;
    /* transform: translateY(-50%); */
    }
    .new-app-splash-screen-content .sk-double-bounce{
      width: 30px;
    height: 30px;
    position: relative;
    margin: 40px auto;
    }
    .new-app-splash-screen-content svg{
      width: 200px;
      height:60px;
    }
    @keyframes sk-doubleBounce {
  0%, 100% { transform: scale(0) }
  50% { transform: scale(1.0) }
}

    @-webkit-keyframes appSplashScreenAnimation {

      0%,
      20% {
        -webkit-transform: translate3d(-50%, -50%, 0) rotateY(0);
        transform: translate3d(-50%, -50%, 0) rotateY(0);
      }

      50% {
        -webkit-transform: translate3d(-50%, -50%, 0) rotateY(180deg);
        transform: translate3d(-50%, -50%, 0) rotateY(180deg);
      }

      80%,
      100% {
        -webkit-transform: translate3d(-50%, -50%, 0) rotateY(360deg);
        transform: translate3d(-50%, -50%, 0) rotateY(360deg);
      }
    }

    @keyframes appSplashScreenAnimation {

      0%,
      20% {
        -webkit-transform: translate3d(-50%, -50%, 0) rotateY(0);
        transform: translate3d(-50%, -50%, 0) rotateY(0);
      }

      50% {
        -webkit-transform: translate3d(-50%, -50%, 0) rotateY(180deg);
        transform: translate3d(-50%, -50%, 0) rotateY(180deg);
      }

      80%,
      100% {
        -webkit-transform: translate3d(-50%, -50%, 0) rotateY(360deg);
        transform: translate3d(-50%, -50%, 0) rotateY(360deg);
      }
    }
    .sk-double-bounce .sk-child {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #009ccb;
    opacity: 0.6;
    position: absolute;
    top: 0;
    left: 0;
    -webkit-animation: sk-doubleBounce 2s infinite ease-in-out;
    animation: sk-doubleBounce 2s infinite ease-in-out;
}
.sk-double-bounce .sk-double-bounce2{
  -webkit-animation-delay: -1s;
    animation-delay: -1s;
}
  </style>
  <!-- / Splash screen -->

</head>

<body>

  <!-- Splash screen -->
  <div class="app-splash-screen ">
    <div class="new-app-splash-screen-content text-center">
      <img src="assets/img/hx-loader-logo.svg" class="loader-svg">
      <!-- <p class="text-center">Loading...</p> -->
    </div>
    
  </div>
  <!-- / Splash screen -->

  <!-- App root -->
  <app-root></app-root>
  <!-- / App root -->

  <!-- IE11 fix -->
  <script>
    if (!!window.MSInputMethodContext && !!document.documentMode || document.documentMode <= 11) {
      window.MouseEvent.prototype = Event.prototype;

      window.MouseEvent = function (eventType, params) {
        params = params || { bubbles: false, cancelable: false };
        var mouseEvent = document.createEvent('MouseEvent');
        mouseEvent.initMouseEvent(eventType, params.bubbles, params.cancelable, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);

        return mouseEvent;
      }
    }


  </script>

  <!-- Global site tag (gtag.js) - Google Analytics -->
  <!-- <script async src="https://www.googletagmanager.com/gtag/js?id=UA-143546495-1"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag() { dataLayer.push(arguments); }
    gtag('js', new Date());

    gtag('config', 'UA-143546495-1');
  </script> -->
  <!-- Google Analytics  for Angular-->
  <script>
    (function (i, s, o, g, r, a, m) {
      i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
        (i[r].q = i[r].q || []).push(arguments)
      }, i[r].l = 1 * new Date(); a = s.createElement(o),
        m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
    })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

    ga('create', 'UA-142449095-1', 'auto');  // Showcase and Dev
    // ga('create', 'UA-143546495-1', 'auto');  //Enterprise

                                           // <- remove the last line
  </script>

  <script>
    var global = global || window;
    //var Buffer = Buffer || [];
    var process = process || {
      env: { DEBUG: undefined },
      version: []
    };
  </script>
  <!-- Ace editor dependencies -->
  <link href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/agate.min.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.9/ace.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/marked/0.3.7/marked.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.4.1/html2canvas.js"></script>
  <script type="text/javascript" src="cordova.js"></script>
  <!-- Fix(autoTableHtmlToJson is not a function): Including jspdf-autotable script. -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/proj4js/2.3.6/proj4.js"></script>
  <div id='pdfHolder'>
    <div id='pdfWrapper'></div>
  </div>
  <!-- Export PivotGrid while on reportFilterConfig. But it's not used and handled in another way -->
  <div id="pdfPivotHTMLCont"></div>

  </div>
</body>

</html>